CVE-2022-4964

NameCVE-2022-4964
DescriptionUbuntu's pipewire-pulse in snap grants microphone access even when the snap interface for audio-record is not set.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, GitHub advisories/code/issues, web search, more)

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
pipewire (PTS)buster0.2.5-1vulnerable
bullseye0.3.19-4vulnerable
bookworm0.3.65-3+deb12u1vulnerable
sid, trixie1.0.7-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
pipewiresource(unstable)1.0.2-1unimportant

Notes

https://bugs.launchpad.net/ubuntu/+source/pipewire/+bug/1995707/
https://gitlab.freedesktop.org/pipewire/pipewire/-/commit/d568dcd64f64454289e1f35ed07a11749f95b04e
In Debian pipewire is not built with snap support until 1.0.2-1 (including at same time the fix
for CVE-2022-4964; earlier versions did not include snap feature support)

Search for package or bug name: Reporting problems